<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");

class revista extends elemento{
		
	function revista() {
        
    }
    


	function apagar($id){
		$db= new dbElemento;
		
		if ($db->getTotal("revista", $id)) {
			?><script>alert("Esta revista possui paginas")</script><?
			exit;
		}		
		parent::apagar($id);
	}
	
	
	function editar($id="") {
        
        $db= new dbElemento;
        $linha = @$db->getLinha($this->tipo, $id);
		
		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("Revista / ", 1);
		$f->campoTexto("Revista","categoria" );
		
		$f->campoSimNao("Activo", "activo", 0);
		$f->mostra();
    }

	function listar() {
        $campos=array("Nš"=>"id","Revista"=>"categoria");
        
		$db= new dbElemento;
		$dados=$db->getListaCategorias($this->tipo, $campos , "categoria", $this->req['id']);
        $this->req['total']=sizeof($dados);

		
		$f= new lista($campos, $dados, $this->req);
		
		$toolbar= new toolbar(); 
		$toolbar->botao("Novo");
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao_l("procurar", 90);
		$toolbar->fim();
		
		$f->titulo("Revistas / ");
		$f->cabeca();
        $f->tabela(false, false);
		$f->mostra();
    }
	


}
?>
